Need help to this script c# shell and offset mesh(solid)

need help to this script c# shell and offset mesh(solid)
have error



shell mesh offset solid inC#.gh (11.0 KB)

Have a look at the attached:

shell mesh offset solid inC#.gh (17.3 KB)

Also, to debug you c# components, plug a Panel into the out output of the component to read and fix your errors

1 Like

thanks ,nice:… have you suggestion tutorial for c# video link?
:pray:

Actually yes!
This is by far the best one around:

1 Like

thanks again

Sorry i have another problem with (point2d) please help me
in :https://developer.rhino3d.com/api/RhinoCommon/html/M_Rhino_Geometry_Surface_Evaluate.htm
707
uv point.gh (15.0 KB)

Your surface was unsuited for Softediting, it would not have worked in native Rhino, too.

To be able to soft edit a surface it needs some amount of control points to actually move, your surface only had 4 cps defining it edges. I put in a C# script to rebuild your surface and fixed your error when converting from an MD-Slider to a Point2d in surface parameter space

uv point.gh (18.2 KB)

i have problem in “Curve.CreateBooleanRegions” in new update rhino wip7 c#
please help me …
https://mcneel.myjetbrains.com/youtrack/issue/RH-54846



Curve.CreateBooleanRegions.gh (7.2 KB)

@dale
@lando.schumpich

you missed the out argument in your function call.

https://www.dotnetperls.com/out

ok but i have problem to convert 'Rhino.Geometry.CurveBooleanRegions to Curve
rhino Rhino 7 SR0 2019-10-9 (Public Build, 7.0.19282.09515

“”“” Error (CS0029): Cannot implicitly convert type ‘Rhino.Geometry.CurveBooleanRegions’ to ‘Rhino.Geometry.Curve’ (line 57)“”



Curve.CreateBooleanRegions.222gh.gh (10.9 KB)

https://mcneel.myjetbrains.com/youtrack/issue/RH-54846

@dale
@lando.schumpich
@DavidRutten

still missing the out argument of type CurveRegion

read up on how the “out” keyword works in c# https://www.dotnetperls.com/out

try

Curve[] k = Curve.CreateBooleanRegions(new[]{curves}, plane, combineRegions, tolerance, out CurveRegion[] regions);

or

c = Curve.CreateBooleanRegions(new[]{curves}, plane, combineRegions, tolerance, out CurveRegion[] regions);

for shorter code

Hi @architect.civil5

quote=“architect.civil5, post:12, topic:87635”]
https://mcneel.myjetbrains.com/youtrack/issue/RH-54846
[/quote]

Have a look at this link - you’ll see that the API has changed.

– Dale

I was not successful!


Curve.CreateBooleanRegions.333gh.gh (13.2 KB)

Thanks ,yes API changed but cannot work for me


Curve.CreateBooleanRegions555gh (1).gh (8.6 KB)

Hi @architect.civil5,

See the attached.

CreateBooleanRegions-FIXED.gh (8.9 KB)

– Dale

3 Likes

Thank you for your reply ,it is very Useful code

Is it possible to add created.curve.region to the new rhino6{c#} update as it is very useful؟

Hi @architect.civil5,

Sorry, no. This API is new to the Rhino 7 WIP.

– Dale

Hello friends, why do you think this code does not run?


var d = MeshingParameters(density);
    mesh = Mesh.CreateFromBrep(Brep, d);


    mesh = Mesh.CreateFromBrep(Brep, MeshingParameters(density, minimumEdgeLength

mesh = Mesh.CreateFromBrep(Brep, meshingParametrs);.gh (10.9 KB)

1 Like